
/* AUTOCOMPLETE */
form div.ns-autocomplete > span {
	position: absolute;
	right:.2em;
	top:50%;
	transform:translateY(-50%);
	z-index: 1;
	font-size:calc(1em + 6px);
	color:var(--border-hover-color);
	display:none;
}
form div.ns-autocomplete > input {
	padding-right:1.7em;
}
form div.ns-autocomplete > input:not([readonly]):not([disabled]):focus ~ span {
	display: inline-block;
}
form div.ns-autocomplete > div.dropdown {
	overflow-y: auto;
	max-height: calc( (var(--line-height) + var(--font-size) + .4em) * 10 );
	min-height: calc( (var(--line-height) + var(--font-size) + .4em) * 5 );
}
form div.ns-autocomplete > div.dropdown:empty {
	/*display:none !important;*/
	visibility: hidden !important;
	opacity: 0 !important;
}
form div.ns-autocomplete > div.dropdown.min-height-auto {
	min-height:fit-content;
}
form div.ns-autocomplete.active > div.dropdown {
	display:block;
	/*position: fixed !important;*/
}
form div.ns-autocomplete.active span.empty {
	display:none;
}
form div.ns-autocomplete ul {
	display:block;
	list-style-type: none;
}
form div.ns-autocomplete li {
	padding:.2em .5em;
	cursor:pointer;
}
form div.ns-autocomplete li:first-child {
	border-top:0;
}
form div.ns-autocomplete li.no-result {
	font-style:italic;
	padding:.5em .5em;
	opacity:.75;
	cursor: default;
}
form div.ns-autocomplete li.focused {
	background:var(--input-color);
	color:#fff;
}
form div.ns-autocomplete li em {
	color:inherit;
	font-style: normal;
	text-decoration: underline;
	pointer-events: none;
}